curl --request GET \
--url https://api.synctera.com/v2/rewards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/rewards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rewards": [
{
"account_id": "12943c51-e4ff-4e57-9558-08cab6b96364",
"amount": 1000,
"template_id": "64943c51-e4ff-4e57-9558-08cab6b96352",
"creation_time": "2010-05-06T12:23:34.321Z",
"currency": "USD",
"description": "Referral Reward",
"id": "44943c51-e4ff-4e57-9558-08cab6b96321",
"internal_account_id": "42943c51-e4ff-4e57-9558-08cab6b963c8",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"subtype": "ACCOUNT_OPENING_BONUS",
"tenant": "abcdef_ghijkl",
"transaction_id": "11943c51-e4ff-4e57-9558-08cab6b96333",
"metadata": {},
"note": "Reduced account reward based on phone call with customer",
"derived_from_uuid": "55943c51-e4ff-4e57-9558-08cab6b96400",
"reward_category": "cashback:card:mcc",
"reward_config_id": "77943c51-e4ff-4e57-9558-08cab6b96600",
"reward_product_id": "66943c51-e4ff-4e57-9558-08cab6b96500"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}List rewards
Get paginated list of rewards
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Return the reward with the specified id. Multiple IDs can be provided as a comma-separated list.
"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"
Return rewards resources with a reward template of the specified id. Multiple IDs can be provided as a comma-separated list.
"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"
Return rewards with the specified description.
A short string representing the sub-type of the reward. This will be used as the subtype of the resulting transaction.
ACCOUNT_OPENING_BONUS, ACCOUNT_OPENING_BONUS_REVERSAL, CASHBACK, CASHBACK_REVERSAL, INTEREST_RATE_BONUS, INTEREST_RATE_BONUS_REVERSAL, LOAN_INTEREST_RATE_REDUCTION, LOAN_INTEREST_RATE_REDUCTION_REVERSAL, MANUAL_ADJUSTMENT, MANUAL_ADJUSTMENT_REVERSAL, MILES, MILES_REVERSAL, MISCELLANEOUS, MISCELLANEOUS_REVERSAL, POINTS, POINTS_REVERSAL, REFERRAL_BONUS, REFERRAL_BONUS_REVERSAL Return rewards created at or after this time.
Return rewards created before this time.
Return rewards for the specified account.
"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"
Return rewards that were derived from (triggered by) the specified transaction UUID. Useful for surfacing the rewards associated with a given posted/pending transaction. Multiple IDs can be provided as a comma-separated list.
"54702cd9-789a-4a89-b2c6-ee168d26c540"
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
x >= 1100
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
"a8937a0d"
Was this page helpful?

